#Davis 2016 Plot Parameters

#Written by Matt Davis matthew.davis@yale.edu
#Please acknowledge or cite where appropriate

#This is just a script file that will make the plots consistent and pretty




#Simple black and white theme for clearer plotting
simpleblack <- theme(panel.grid.minor=element_blank(), panel.grid.major=element_blank(),
panel.background=element_blank(),
panel.border=element_rect(color="black",fill=NA),
axis.ticks=element_line(color="black"),
axis.text=element_text(color="black"),
legend.key=element_rect(fill=NA),
axis.title=element_text(vjust=1.5),
axis.title.x=element_text(vjust=-0.25),
plot.title=element_text(vjust=1.25)
)


#Bump up font sizes and line widths for projector displays
presentmod <- theme(
axis.text=element_text(size=14),
axis.title=element_text(size=16),
line=element_line(size=0.75),
rect=element_rect(size=2.5),
legend.text=element_text(size=14),
legend.title=element_text(size=16),
plot.title=element_text(size=18)
)


#Remove legend label
#theme(legend.title=element_blank())

#Remove legend
#theme(legend.position="none")


#For transparent background
#theme(plot.background=element_rect(fill="transparent",colour=NA))






#Colors
#Extinct main red1

#Extant main   dodgerblue2

#Introduced main green4

###For main
#scale_color_manual(name="Status",values=c("Extant"="dodgerblue2","Extinct"="red1"))+

#scale_color_manual(name="Status",values=c("Extant"="dodgerblue2","Extinct"="red1","Introduced"="green4"))+


#scale_color_manual(name="ExtinctBin",values=c("Surviving"="dodgerblue2","Going extinct"="red1"))+


###For background lines and dots, boxplot fills
#scale_color_manual(name="Status",values=c("Extant"="lightskyblue","Extinct"="#ff7777"))+

#scale_color_manual(name="ExtinctBin",values=c("Surviving"="lightskyblue","Going extinct"="#ff7777"))+

#scale_fill_manual(name="Status",values=c("Extant"="lightskyblue","Extinct"="#ff7777"))+

###For including annotations of significance
#annotate("text",x=Inf,y=Inf,vjust=2,hjust=1.25,size=8,label=paste("p=",round(test1$p.value,digits=2),sep=""))+

